package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "com-domain-CloudTeacherOrder")
public class CloudTeacherOrder {
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id")
    private Integer studentId;

    /**
     * 时长类型 1-天 2-月 3-年
     */
    @ApiModelProperty(value = "时长类型 1-天 2-月 3-年")
    private Integer type;

    /**
     * 时长类型 1-天 2-月 3-年
     */
    @ApiModelProperty(value = "会员等级")
    private Integer level;

    /**
     * 购买时长
     */
    @ApiModelProperty(value = "购买时长")
    private Integer time;

    /**
     * 购买价格
     */
    @ApiModelProperty(value = "购买价格")
    private BigDecimal amount;

    /**
     * 退回金额
     */
    @ApiModelProperty(value = "退回金额")
    private BigDecimal refundAmount = BigDecimal.ZERO;

    /**
     * 1-生效中 2-已生效 3-已退
     */
    @ApiModelProperty(value = "1-生效中 2-已生效 3-已退")
    private Integer status;

    /**
     * 服务开始时间
     */
    @ApiModelProperty(value = "服务开始时间")
    private Date startTime;

    /**
     * 服务结束时间
     */
    @ApiModelProperty(value = "服务结束时间")
    private Date endTime;

    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark = "";

    /**
     * 备注
     */
    @ApiModelProperty(value = "版本")
    private Integer version = 0;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private String musicGroupId;
    
    private StudentPaymentOrder studentPaymentOrder = new StudentPaymentOrder();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", studentId=").append(studentId);
        sb.append(", type=").append(type);
        sb.append(", time=").append(time);
        sb.append(", amount=").append(amount);
        sb.append(", refundAmount=").append(refundAmount);
        sb.append(", status=").append(status);
        sb.append(", orderId=").append(orderId);
        sb.append(", remark=").append(remark);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

	public StudentPaymentOrder getStudentPaymentOrder() {
		return studentPaymentOrder;
	}

	public void setStudentPaymentOrder(StudentPaymentOrder studentPaymentOrder) {
		this.studentPaymentOrder = studentPaymentOrder;
	}
}